import vl from 'vega-lite-api';
export const viz = vl.markBar({ size: 2 })
   .transform(
     vl.aggregate(
//       vl.sum('ILITOTAL').as('ILITOTAL'))
       vl.mean('TOTAL PATIENTS').as('TOTAL PATIENTS'))
//Wrong     	.groupby(['YEAR', 'WEEK'])
     	.groupby(['YEAR', 'REGION', 'WEEK'])
     )
  .encode(
		vl.y().fieldQ('TOTAL PATIENTS' ), //.scale({ type: 'log' }),
    vl.x().fieldN('WEEK').title('Week in year'),
//    vl.y().fieldQ('ILITOTAL').title('Total ILI'),
//.scale({ domain: [15000, 0], range: [0, 180], type: 'symlog' }),
    vl.column().fieldN('YEAR').title('Year'),
    vl.color().fieldN('YEAR'),
    vl.tooltip().fieldQ('ILITOTAL')
);
